//
// Copyright 2001 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wLogoutView:
//   Issues a command and passes result to a result pane (cmdPane).
//   Command is either generated directly from the url, or in the
//   case of spec forms, it is generated with only -i option.


#ifndef p4wLogoutView_H
#define p4wLogoutView_H

#include "p4wRunView.h"

class p4wLogoutView : public p4wRunView {

public:

	p4wLogoutView(p4wRequest & Request, int bAuthHeader=1);
	
	virtual			~p4wLogoutView();

	virtual	void	Render();
	virtual void	StartContent();
	virtual void	RenderContent();

private:

	void			DoCmdArgAndTitle();

	StrArray	fFlags;
	StrBuf		fArgs;
	int			fHasFormData;
	int			fAuthHeader;
};

#endif // p4wLogoutView_H

